Bug 91610 - [BSW] GPU hang for spec.shaders.point-vertex-id gl_instanceid divisor
Summary: [BSW] GPU hang for spec.shaders.point-vertex-id gl_instanceid divisor
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Ben Widawsky
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-11 18:25 UTC by Mark Janes
Modified: 2015-09-02 23:31 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2015-08-11 18:25:40 UTC
Mesa master (3c04a90) encounters GPU hang when running this test.

10.6 does not encounter this hang.

[drm] stuck on render ring
[drm] GPU HANG: ecode 8:0:0x85dfffff, in point-vertex-id [8449], reason: Ring hung, action: reset
[drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[drm] GPU crash dump saved to /sys/class/drm/card0/error
[drm] stuck on render ring
[drm] GPU HANG: ecode 8:0:0x85dfffff, reason: Ring hung, action: reset
Comment 1 Ben Widawsky 2015-08-17 23:49:11 UTC
For future laziness:
./bin/point-vertex-id gl_InstanceID divisor -auto -fbo
Comment 2 Ben Widawsky 2015-08-18 19:03:40 UTC
This if fixed by Neil's patch series (need all 3):
http://patchwork.freedesktop.org/patch/54323/


I will try to get it merged today.
Comment 3 Ben Widawsky 2015-08-19 01:47:54 UTC
I have pushed 1/3 of Neil's patches which prevents hangs. Closing this bug since the hang is gone now, and we should track https://bugs.freedesktop.org/show_bug.cgi?id=84677 instead.
Comment 4 Mark Janes 2015-08-20 16:39:29 UTC
I went to verify this bug, and found that gpu hang still occurs.  Previous test results were inaccurate.  Apparently, running test with patches 2 and 3 of Neil's series may affect subsequent test runs.
Comment 5 Ben Widawsky 2015-08-20 16:53:47 UTC
(In reply to Mark Janes from comment #4)
> I went to verify this bug, and found that gpu hang still occurs.  Previous
> test results were inaccurate.  Apparently, running test with patches 2 and 3
> of Neil's series may affect subsequent test runs.

Are the other subtests hanging too? I have a patch (based on Neil's, but different) which makes divisor pass on BDW, but the other tests are failing (also on BDW).


bug/show.html.tmpl processed on Feb 24, 2017 at 21:51:36.
(provided by the Example extension).